Page MenuHomePhabricator

Decommission eventlog1001
Closed, ResolvedPublic

Description

This checklist is able to be copied and pasted into phabricator hardware request tasks for reclaiming systems to spare or decom.

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - assign role::spare::system in site.pp

START NON-INTERRUPPTABLE STEPS

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: system added back to spares tracking (by onsite)

Details

Related Gerrit Patches:
operations/dns : masterRemoving mgmt dns for eventlog1001
operations/dns : masterdecom eventlog1001
operations/puppet : productiondecom eventlog1001
operations/puppet : productionAssign role::spare::system to eventlog1001

Event Timeline

Change 421816 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Assign role::spare::system to eventlog1001

https://gerrit.wikimedia.org/r/421816

Change 421816 merged by Elukey:
[operations/puppet@production] Assign role::spare::system to eventlog1001

https://gerrit.wikimedia.org/r/421816

Mentioned in SAL (#wikimedia-operations) [2018-03-26T07:33:33Z] <elukey> stop eventlogging zmq-forwarder on eventlog1001 as part of decom process - T189566

elukey removed elukey as the assignee of this task.Mar 26 2018, 7:46 AM
elukey updated the task description. (Show Details)
elukey updated the task description. (Show Details)
elukey added a subscriber: Cmjohnson.

Host can be decommed anytime @Cmjohnson

RobH claimed this task.Mar 26 2018, 7:05 PM
RobH triaged this task as Medium priority.
RobH renamed this task from Reclaim/Decommission eventlog1001 to Decommission eventlog1001.Apr 6 2018, 9:13 PM
RobH removed a project: Patch-For-Review.
RobH updated the task description. (Show Details)
RobH updated the task description. (Show Details)Apr 6 2018, 9:16 PM

Change 424703 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] decom eventlog1001

https://gerrit.wikimedia.org/r/424703

Change 424705 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] decom eventlog1001

https://gerrit.wikimedia.org/r/424705

Change 424703 merged by RobH:
[operations/puppet@production] decom eventlog1001

https://gerrit.wikimedia.org/r/424703

RobH reassigned this task from RobH to Cmjohnson.Apr 6 2018, 9:22 PM
RobH edited projects, added ops-eqiad; removed Patch-For-Review.
RobH updated the task description. (Show Details)
RobH moved this task from Backlog to Decommission on the ops-eqiad board.
RobH added a subscriber: RobH.

Change 424705 merged by RobH:
[operations/dns@master] decom eventlog1001

https://gerrit.wikimedia.org/r/424705

Cmjohnson moved this task from Decommission to Up next on the ops-eqiad board.Apr 24 2018, 8:48 PM
Cmjohnson moved this task from Up next to UnRacking Tasks on the ops-eqiad board.Jun 27 2018, 2:49 PM

Change 451032 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Removing mgmt dns for eventlog1001

https://gerrit.wikimedia.org/r/451032

Change 451032 merged by Cmjohnson:
[operations/dns@master] Removing mgmt dns for eventlog1001

https://gerrit.wikimedia.org/r/451032

Cmjohnson closed this task as Resolved.Aug 7 2018, 5:14 PM
Cmjohnson updated the task description. (Show Details)